Bug 105413 - Any paragraph style applied to a short text in a document with track changes is lost after saving the document
Summary: Any paragraph style applied to a short text in a document with track changes ...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.5.7.2 release
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: László Németh
URL:
Whiteboard: target:6.3.0 target:6.2.0.1
Keywords:
Depends on:
Blocks: Track-Changes
  Show dependency treegraph
 
Reported: 2017-01-18 12:56 UTC by Francisco
Modified: 2019-01-23 14:02 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Problematic file (16.24 KB, application/vnd.oasis.opendocument.text)
2017-01-18 12:56 UTC, Francisco
Details
Screenshot in current 6.2 master after a style change (107.65 KB, image/png)
2018-08-06 09:20 UTC, Gabor Kelemen
Details
Screenshot of a paragraph with no former track changes (72.90 KB, image/png)
2018-08-06 09:24 UTC, Gabor Kelemen
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Francisco 2017-01-18 12:56:50 UTC
Created attachment 130522 [details]
Problematic file

I have a ODT file in which, every time I applied a paragraph style in the text accepted and save it, the style is lost.

Steps to reproduce:

0) Download the attached file. It has some text which was introduced with track changes activated. The only text without it is the string "El extraño"

1) Apply any paragraph style to the text "El extraño". It could be a Heading 1, 2, footpage... The style should appear automatically

2) Save the file from the Save button.

Result:

The style is apparently lost: the text is not showing the previous format (format from the style, obviously, not direct formatting).

Expected:

The style is not lost.


Additional comments
1) This doesn't happen with direct formatting.
2) I tested from a clean profile.
3) I tryed versions 3.5.7, 4.4.6, 5.0.6, and 5.2.4, obtaining always the same result.
4) This bug could be related to bug 101544.
Comment 1 Xisco Faulí 2017-01-18 13:43:07 UTC
Confirmed in

Version: 5.4.0.0.alpha0+
Build ID: 4b3e8de6b3cb971b02aa0cb90aceb9e104071d3b
CPU Threads: 4; OS Version: Linux 4.8; UI Render: default; VCL: gtk2; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group
Comment 2 QA Administrators 2018-01-19 03:33:16 UTC Comment hidden (obsolete)
Comment 3 Gabor Kelemen 2018-08-06 09:17:49 UTC
Still happens on 

Version: 6.2.0.0.alpha0+
Build ID: 921f285c7ff713ad219d3e3385d7e7d12d33581e
CPU threads: 4; OS: Windows 6.3; UI render: default; 
Locale: hu-HU (hu_HU); Calc: CL
Comment 4 Gabor Kelemen 2018-08-06 09:20:35 UTC
Created attachment 143987 [details]
Screenshot in current 6.2 master after a style change

No new entry is created, and turning off/on the display of changes makes the style setting ("Mapa del documento" to the "El extraño" paragraph) disappear.
Comment 5 Gabor Kelemen 2018-08-06 09:24:31 UTC
Created attachment 143989 [details]
Screenshot of a paragraph with no former track changes

Setting the same paragraph style to the last empty paragraph that had no former change tracking works, but still does not create an entry.
Comment 6 László Németh 2018-12-04 11:45:52 UTC
Proposed fix: https://gerrit.libreoffice.org/#/c/64518/
Comment 7 Commit Notification 2018-12-05 07:02:57 UTC
László Németh committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/1d65ffc5a37be21e0316019b1c96eb9a1c871ac0%5E%21

tdf#105413 track changes: keep paragraph styles

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 László Németh 2018-12-05 07:14:28 UTC
Fixed in master.

Note: direct paragraph formatting has still the same problem (it will be handled in a different issue).
Comment 9 Commit Notification 2018-12-19 20:28:22 UTC
László Németh committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/3f2130c5748ad7fc8c0d4dd81d29c650e7a28106%5E%21

tdf#105413 track changes: keep paragraph styles

It will be available in 6.2.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.